<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ page language="java" contentType="text/html; charset=utf-8" pageEncoding="utf-8" %>
<jsp:include page="../inc/head.jsp" flush="true" />
<body>
	<jsp:include page="../inc/navigation.jsp" flush="true" />
	<main>
		<section class="cart-order">
	 	    <h1>Přehled objednávek</h1>
	 	   	<table>
	 	   		<thead>
		 	   		<tr>
		 	   			<th>ID</th>
		 	   			<th>User</th>
		 	   			<th>Položky</th>
		 	   			<th>Fakturační adresa</th>
		 	   			<th>Doručovací adresa</th>
		 	   			<th>Datum objednání</th>
		 	   			<th>Cena</th>
		 	   			<th>Sleva</th>
		 	   			<th>Cena po slevě</th>
		 	   		</tr>
	 	   		</thead>
		 	   	<tbody>
			 	   	<c:forEach items="${requestScope.orderList}" var="order">
					<tr>
						<td><c:out value="${order.idOrder}" /></td>
						<td><c:out value="${order.user.name}" /></td>
						<td>
							<c:forEach var="item" items="${order.orderedItems}">
						        <c:out value="${item}" /> , 
							</c:forEach>
						</td>
						<td>
							<c:forEach var="adr" items="${order.billingAddress}">
						        <c:out value="${adr}" /> , 
							</c:forEach>
						</td>
						<td>
							<c:forEach var="adr" items="${order.shippingAddress}">
						        <c:out value="${adr}" /> , 
							</c:forEach>
						</td>

						<td><c:out value="${order.orderDate.time}" /></td>
						<td><c:out value="${order.totalPrice}" /></td>
						<td><c:out value="${order.discount}" /></td>
						<td><c:out value="${order.finalPrice}" /></td>
					</tr>
					</c:forEach>
				</tbody>
			</table>
	    </section>
	<jsp:include page="../inc/footer.jsp" flush="true" /> </main>
</body>
</html>