<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ page language="java" contentType="text/html; charset=utf-8" pageEncoding="utf-8" %>
<jsp:include page="/WEB-INF/inc/head.jsp" flush="true" />
<body>
	<jsp:include page="/WEB-INF/inc/navigation.jsp" flush="true" />
	<main>
	<jsp:include page="/WEB-INF/inc/cart.jsp" flush="true" />
	<section class="offer">
            <header>
                <h1><c:out value="${item.name}" /></h1>
            </header>
            <section>
	            <div class="buying">
	                <a href="${pageContext.servletContext.contextPath }/productImage?id=${item.idItem}">
	                    <img src="${pageContext.servletContext.contextPath }/productImage?id=${item.idItem}" alt="Product">
	                </a>
	                <div>
		                <h3><c:out value="${item.price}" /> Kč</h3>
		                <a href="/neumann/addToCart?id=${item.idItem}&pieces=1" class="button">Koupit</a>
	                </div>
                </div>
                <h2 class="clear">Popis</h2>
                <p><c:out value="${item.shortDesc}" /></p>
                <p><c:out value="${item.fullDesc}" /></p>
                <h2>Specifické vlastosti</h2>
                <p>
                	<c:choose>
					    <c:when test="${not empty item.specificFeatures}">
					       <c:out value="${item.specificFeatures}" />
					    </c:when>
					    <c:otherwise>
					        Žádné vlastnosti nejsou k dispozici.
					    </c:otherwise>
					</c:choose>
                	
               	</p>
            </section>
            <section class="similar">
                <h2>Mohlo by vás zajímat</h2>
                <c:choose>
				    <c:when test="${empty requestScope.similarItems}">
				       Žádné podobné nabídky.
				    </c:when>
				    <c:otherwise>
				
                <c:forEach items="${requestScope.similarItems}" var="similar">
					<div class="product product-small">
	                    <a href="/neumann/product-detail?id=${similar.idItem}">
	                        <h3><c:out value="${similar.name}" /></h3>
	                        <img src="${pageContext.servletContext.contextPath }/productImage?id=${similar.idItem}" alt="${similar.name}">
	                    </a>
	                    <div class="buying">
	                        <span class="price"><c:out value="${similar.price}" /> Kč</span>
	                    </div>
	                </div>
				</c:forEach>
				
				    </c:otherwise>
				</c:choose>
                <div class="clear"></div>
            </section>
          </section>
          
          
		    <c:if test="${not empty requestScope.discountItems}">
		    	<aside class="offer">
	              <h2>Akční nabídka</h2>
               	<c:forEach items="${requestScope.discountItems}" var="discount">
	              <div class="product">
	                <a href="/neumann/product-detail?id=${discount.idItem}">
	                    <h3><c:out value="${discount.name}" /></h3>
	                    <img src="${pageContext.servletContext.contextPath }/productImage?id=${discount.idItem}" alt="${discount.name}">
	                </a>
	                <div class="buying">
	                    <span class="price"><c:out value="${discount.price}" /> Kč</span>
	                    <button class="buy-btn">Koupit</button>
	                </div>
	              </div>
			</c:forEach>
			 </aside>
		</c:if>

          
	<jsp:include page="/WEB-INF/inc/footer.jsp" flush="true" /> </main>
</body>
</html>