<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ page language="java" contentType="text/html; charset=utf-8" pageEncoding="utf-8" %>
<jsp:include page="inc/head.jsp" flush="true" />
<body>
	<jsp:include page="inc/navigation.jsp" flush="true" />
	<main>
		<section class="signup">
              <h1>Registrace</h1>
              <c:if test="${requestScope.formError}">
              	 <c:forEach items="${requestScope.formErrorMsg}" var="msg">
					<c:out value="${msg}" /><br>
				</c:forEach>
              </c:if>
              <form method="POST">
              	<div class="required">
                      <label for="form-login">Login</label>
                      <input type="text" name="login" id="form-login" 
                      <c:if test="${requestScope.formError}">
                      	value="<c:out value="${data['login']}" />"
                      </c:if> required>
                  </div>
                  <div class="required">
                      <label for="form-pass">Heslo</label>
                      <input type="password" name="password" id="form-pass" required>
                  </div>
                  <div class="required">
                      <label for="form-pass2">Heslo znovu</label>
                      <input type="password" name="password2" id="form-pass2" required>
                  </div>
                  <div class="required">
                      <label for="form-name">Jméno</label>
                      <input type="text" name="name" id="form-name"  
                      <c:if test="${requestScope.formError}">
                      	value="<c:out value="${data['name']}" />"
                      </c:if> required>
                  </div>
                  <div class="required">
                      <label for="form-lastname">Příjmení</label>
                      <input type="text" name="lastname" id="form-lastname" 
                      <c:if test="${requestScope.formError}">
                      	value="<c:out value="${data['lastname']}" />"
                      </c:if> required>
                  </div>
                  <div class="required">
                      <label for="form-email">E-mail</label>
                      <input type="email" name="email" id="form-email" 
                      <c:if test="${requestScope.formError}">
                      	value="<c:out value="${data['email']}" />"
                      </c:if> required>
                  </div>
                  <div class="required">
                      <label for="form-date">Datum narození</label>
                      <input type="date" name="date" id="form-date" 
                      <c:if test="${requestScope.formError}">
                      	value="<c:out value="${data['date']}" />"
                      </c:if> required>
                  </div>
                  <div class="required">
                      <label for="form-street">Ulice</label>
                      <input type="text" name="street" id="form-street" 
                      <c:if test="${requestScope.formError}">
                      	value="<c:out value="${data['street']}" />"
                      </c:if> required>
                  </div>
                  <div class="required">
                      <label for="form-town">Město</label>
                      <input type="text" name="town" id="form-town" 
                      <c:if test="${requestScope.formError}">
                      	value="<c:out value="${data['town']}" />"
                      </c:if> required>
                  </div>
                  <div class="required">
                      <label for="form-zip">PSČ</label>
                      <input type="text" name="zipCode" id="form-zip" 
                      <c:if test="${requestScope.formError}">
                      	value="<c:out value="${data['zipCode']}" />"
                      </c:if> required>
                  </div>
                  <div>
                      <label for="form-captcha">Kolik je 2+3?</label>
                      <input type="text" name="captcha" id="form-captcha" required>
                  </div>
                  <div class="checkbox">
                      <input type="checkbox" name="agreement" id="form-agree" value="true">
                      <label for="form-agree">Souhlasím se <a href="/neumann/page/general-terms">Všeobecnými podmínkami</a></label>
                  </div>
                  <div>
                      <button type="submit">Registrovat se</button>
                  </div>
              </form>
          </section>
	<jsp:include page="inc/footer.jsp" flush="true" /> </main>
</body>
</html>